;------------------------------------------------------------------------------
;				[h[h
;------------------------------------------------------------------------------
ldiw	MACRO
	ldx	\1 + 1
	ldy	\1
	ENDM
;------------------------------------------------------------------------------
;				[hXgA
;------------------------------------------------------------------------------
stiw	MACRO
	stx	\1 + 1
	sty	\1
	ENDM
;------------------------------------------------------------------------------
;				oCgZ
;------------------------------------------------------------------------------
add	MACRO
	clc
	adc	\1
	ENDM
;------------------------------------------------------------------------------
;				oCgZ
;------------------------------------------------------------------------------
sub	MACRO
	sec
	sbc	\1
	ENDM
;------------------------------------------------------------------------------
;				[hZ
;				xy + \1\2 = xy
;------------------------------------------------------------------------------
addw	MACRO
	pha

	tya
	add	\2
	tay

	txa
	adc	\1
	tax

	pla
	ENDM
;------------------------------------------------------------------------------
;				[hZ
;				xy - \1\2 = xy
;------------------------------------------------------------------------------
subw	MACRO
	pha

	tya
	sub	\2
	tay

	txa
	sbc	\1
	tax

	pla
	ENDM
;------------------------------------------------------------------------------
;				[hCNg
;				\1\2 + 1 = \1\2
;------------------------------------------------------------------------------
incw	MACRO
	inc	\1
	bne	.iend\@

	inc	\1 + 1
.iend\@:

	ENDM
;------------------------------------------------------------------------------
;				[hfNg
;				\1\2 - 1 = \1\2
;------------------------------------------------------------------------------
decw	MACRO
	pha

	lda	\1
	bne	.dend\@

	dec	\1 + 1
.dend\@:
	dec	\1

	pla

	ENDM
